sdp_firmware Struct Reference

`#include <ipaccess.h>`

## Data Fields

char | magic [4]
char | more_magic [2]
uint16_t | more_more_magic
uint32_t | header_length
uint32_t | file_length
char | sw_part [20]
char | text1 [64]
char | time [12]
char | date [14]
char | text2 [10]
char | version [20]
uint16_t | table_offset

## Field Documentation

## date

char sdp_firmware::date[14]

## file_length

uint32_t sdp_firmware::file_length

## header_length

uint32_t sdp_firmware::header_length

## magic

char sdp_firmware::magic[4]

## more_magic

char sdp_firmware::more_magic[2]

## more_more_magic

uint16_t sdp_firmware::more_more_magic

## sw_part

char sdp_firmware::sw_part[20]

## table_offset

uint16_t sdp_firmware::table_offset

## text1

char sdp_firmware::text1[64]

## text2

char sdp_firmware::text2[10]

## time

char sdp_firmware::time[12]

## version

char sdp_firmware::version[20]

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/ipaccess.h